/**
 * Testbed: a class to hold some methods that play with Strings.
 * 
 * @author Stephen Bloch 
 * @version Jan. 19, 2001
 */
public class Testbed
{
	// instance variables
	/**
	An example of how to declare an uninitialized instance variable.
	*/
	private String favoriteColor;

	/**
	An example of an initialized instance variable.
	*/
	private String myName = "Stephen";

	// constructor(s)
	/**
	 * No-argument constructor for objects of class Testbed.
	 */
	public Testbed()
	{
		// initialise instance variables
		this.favoriteColor = "blue";
		// note that myName already has a value.
	}

	// "Real" methods
	/**
	 	Where we put all the standard test cases. 
	 */
	public static void test (String stringParam)
	{
		System.out.println ("Welcome to FunWithStrings!");

		System.out.println ("The parameter was \"" + stringParam + "\".");
		System.out.println ("In lower-case, " + stringParam.toLowerCase() + ".");
		System.out.println ("In upper-case, " + stringParam.toUpperCase() + ".");
		System.out.println ("It is " + stringParam.length() + " characters long.");

		Testbed tester = new Testbed ();
		System.out.println ("tester.name = " + tester.myName);
		System.out.println ("tester.favoriteColor = " + tester.favoriteColor);

		String localString = "Hello!  Isn't this fun?";

		System.out.println ("localString is " + localString + ".");
		System.out.println ("Concatenated with the parameter, " +
							localString + stringParam);
		System.out.println ("Concatenated another way, " +
							localString.concat(stringParam));
		System.out.println ("Let's concatenate three Strings: " +
							localString + stringParam + tester.favoriteColor);
		System.out.println ("Another way, " +
							localString.concat(stringParam).concat(tester.favoriteColor));
		System.out.println ("And yet another way, " +
							localString.concat(stringParam.concat(tester.favoriteColor)));
		System.out.println ("Boy, that was exciting.");
	}
}
